<?php

namespace App\Modules\HtlTypeRoom\Domain;

use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface HtlTypeRoomRepository
{
    public function find(StorageCriteria $action): HtlTypeRoom | null;
    public function search(StorageCriteria $action): array;
    public function insert(HtlTypeRoom $model);
    public function update(HtlTypeRoom $model);
}
